Subject: Emacs currently requires bash and gzip to be progatade to load core functionality.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 05 Jul 2020 22:59:12 -0400

Hello!

It was discovered while troubleshooting an issue on help-guix [0] that
Emacs cannot currently load its subr-x module (there are probably many
more) when used in a pure environment (or container) that doesn't
propagate bash and gzip, which it uses to decompress the said module.

The fix would be to patch Emacs' sources so those programs are referred
by their absolute store paths rather than simply being looked in PATH.

Maxim

[0]  https://lists.gnu.org/archive/html/help-guix/2020-06/msg00143.html